[build-system]
build-backend = "hatchling.build"
requires = ["hatchling"]

[project]
dependencies = [
  "module-bank>=0.1.1",
  "numpy>=1.24.4",
  "opencv-python-headless>=4.12.0.88",
  "sqlite-vfs>=0.1.0",
]
description = "Add your description here"
name = "sophon-chakcy"
readme = "README.md"
requires-python = ">=3.8"
version = "0.1.0"

[[tool.uv.index]]
default = true
url = "https://pypi.tuna.tsinghua.edu.cn/simple"

[tool.hatch.build.targets.wheel]
packages = ["src/sophon_chakcy"]

[dependency-groups]
dev = [
  "dfss>=1.10.4",
  "pip>=25.0.1",
]

[project.scripts]
build = "sophon_chakcy.build:main"
